# Thoughtspot Integration Discovered Resources

The Euno-Thoughtspot integration discovers the following resources:

### Thoughtspot Liveboard

| Property    | Value                                          |
| ----------- | ---------------------------------------------- |
| name        | The name of the Liveboard                      |
| description | The description of the Liveboard, if available |
| created\_at | Timestamp when the Liveboard was created       |
| updated\_at | Timestamp when the Liveboard was last modified |
| native\_id  | The ID of the Liveboard in Thoughtspot         |
| owner       | The owner of the Liveboard                     |
| type        | always `thoughtspot_liveboard`                 |

### Thoughtspot Answer

| Property    | Value                                       |
| ----------- | ------------------------------------------- |
| name        | The name of the Answer                      |
| description | The description of the Answer, if available |
| created\_at | Timestamp when the Answer was created       |
| updated\_at | Timestamp when the Answer was last modified |
| native\_id  | The ID of the Answer in Thoughtspot         |
| owner       | The owner of the Answer                     |
| type        | always `thoughtspot_answer`                 |

### Thoughtspot Model

| Property    | Value                                      |
| ----------- | ------------------------------------------ |
| name        | The name of the Model                      |
| description | The description of the Model, if available |
| created\_at | Timestamp when the Model was created       |
| updated\_at | Timestamp when the Model was last modified |
| native\_id  | The ID of the Model in Thoughtspot         |
| owner       | The owner of the Model                     |
| type        | always `thoughtspot_model`                 |

### Thoughtspot View

| Property    | Value                                     |
| ----------- | ----------------------------------------- |
| name        | The name of the View                      |
| description | The description of the View, if available |
| created\_at | Timestamp when the View was created       |
| updated\_at | Timestamp when the View was last modified |
| native\_id  | The ID of the View in Thoughtspot         |
| owner       | The owner of the View                     |
| type        | always `thoughtspot_view`                 |

### Thoughtspot Table

| Property    | Value                                      |
| ----------- | ------------------------------------------ |
| name        | The name of the Table                      |
| description | The description of the Table, if available |
| created\_at | Timestamp when the Table was created       |
| updated\_at | Timestamp when the Table was last modified |
| native\_id  | The ID of the Table in Thoughtspot         |
| owner       | The owner of the Table                     |
| type        | always `thoughtspot_table`                 |

### Thoughtspot Formula

| Property            | Value                                        |
| ------------------- | -------------------------------------------- |
| name                | The name of the Formula                      |
| description         | The description of the Formula, if available |
| created\_at         | Timestamp when the Formula was created       |
| updated\_at         | Timestamp when the Formula was last modified |
| native\_id          | The ID of the Formula in Thoughtspot         |
| owner               | The owner of the Formula                     |
| type                | always `thoughtspot_formula`                 |
| formula\_definition | The SQL or formula definition                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.euno.ai/sources/business-intelligence/thoughtspot-integration/thoughtspot-integration-discovered-resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
